summaryrefslogtreecommitdiff
path: root/app-office
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2015-01-14 02:34:45 +0200
committerBlackNoxis <steven.darklight@gmail.com>2015-01-14 02:34:45 +0200
commitf86d4e7da4d5a21761cc8764306908503d291ded (patch)
tree833bc4e00ff876524dbdeb16f67ea6093816e337 /app-office
parent40937953b3c8a564ba569bf767b08e0cb16a5170 (diff)
Added Libreoffice with our artwork theme
Diffstat (limited to 'app-office')
-rw-r--r--app-office/libreoffice/files/libreoffice-3.7-system-pyuno.patch44
-rw-r--r--app-office/libreoffice/files/libreoffice-4.1.3.2-kde-calchang.patch74
-rw-r--r--app-office/libreoffice/files/libreoffice-4.1.3.2-kde-recursiverepaint.patch141
-rw-r--r--app-office/libreoffice/files/libreoffice-4.2.0.4-curl-config.patch60
-rw-r--r--app-office/libreoffice/files/libreoffice-4.2.6.3-jpeg9.patch52
-rw-r--r--app-office/libreoffice/libreoffice-4.2.5.2.ebuild595
-rw-r--r--app-office/libreoffice/libreoffice-4.2.6.3.ebuild598
-rw-r--r--app-office/libreoffice/metadata.xml22
8 files changed, 1586 insertions, 0 deletions
diff --git a/app-office/libreoffice/files/libreoffice-3.7-system-pyuno.patch b/app-office/libreoffice/files/libreoffice-3.7-system-pyuno.patch
new file mode 100644
index 00000000..fe93728c
--- /dev/null
+++ b/app-office/libreoffice/files/libreoffice-3.7-system-pyuno.patch
@@ -0,0 +1,44 @@
+diff --git a/desktop/scripts/soffice.sh b/desktop/scripts/soffice.sh
+index a259bf6..672fa23 100755
+--- a/desktop/scripts/soffice.sh
++++ b/desktop/scripts/soffice.sh
+@@ -129,6 +129,9 @@ if echo "$checks" | grep -q "cc" ; then
+ exit 1;
+ fi
+
++PYTHONPATH=$sd_prog${PYTHONPATH+:$PYTHONPATH}
++export PYTHONPATH
++
+ case "`uname -s`" in
+ NetBSD|OpenBSD|FreeBSD|DragonFly)
+ # this is a temporary hack until we can live with the default search paths
+diff --git a/pyuno/source/module/uno.py b/pyuno/source/module/uno.py
+index 4ff2606..6a05eed 100644
+--- a/pyuno/source/module/uno.py
++++ b/pyuno/source/module/uno.py
+@@ -16,8 +16,12 @@
+ # except in compliance with the License. You may obtain a copy of
+ # the License at http://www.apache.org/licenses/LICENSE-2.0 .
+ #
++import os
+ import sys
+
++sys.path.append('%eprefix%/usr/%libdir%/libreoffice/program')
++if getattr(os.environ, 'URE_BOOTSTRAP', None) is None:
++ os.environ['URE_BOOTSTRAP'] = "vnd.sun.star.pathname:%eprefix%/usr/%libdir%/libreoffice/program/fundamentalrc"
+ import pyuno
+
+ try:
+diff --git a/scripting/source/pyprov/officehelper.py b/scripting/source/pyprov/officehelper.py
+index 99d3b03..704edab 100755
+--- a/scripting/source/pyprov/officehelper.py
++++ b/scripting/source/pyprov/officehelper.py
+@@ -44,7 +44,7 @@ def bootstrap():
+ if "UNO_PATH" in os.environ:
+ sOffice = os.environ["UNO_PATH"]
+ else:
+- sOffice = "" # lets hope for the best
++ sOffice = "%eprefix%/usr/%libdir%/libreoffice/program"
+ sOffice = os.path.join(sOffice, "soffice")
+ if platform.startswith("win"):
+ sOffice += ".exe"
diff --git a/app-office/libreoffice/files/libreoffice-4.1.3.2-kde-calchang.patch b/app-office/libreoffice/files/libreoffice-4.1.3.2-kde-calchang.patch
new file mode 100644
index 00000000..8cf3a2b3
--- /dev/null
+++ b/app-office/libreoffice/files/libreoffice-4.1.3.2-kde-calchang.patch
@@ -0,0 +1,74 @@
+From 95f60222e75486336b6569afa8f34d60b51c94ad Mon Sep 17 00:00:00 2001
+From: Jan-Marek Glogowski <glogow@fbihome.de>
+Date: Thu, 21 Nov 2013 12:40:57 +0100
+Subject: [PATCH] fdo#67011: Run Display::Yield through KDEXLib::Yield.
+
+Drag'n'Drop is handled in a second thread, which tries to "yield
+the display" while the main Qt thread probably is already
+yielding. Both need the YieldMutex, which freezes the application
+until the D'n'D thread times out.
+
+Trying to yield the display throught the application yield
+results in a recursive loop.
+
+So this catches and breaks the recursion, but just inside the Qt
+thread, so other processes can "yield on the display", instead
+of simply disabling the Display::Yield.
+
+Change-Id: Ifba91aa89fe5b0a89cc94820935dc996a065112f
+Reviewed-on: https://gerrit.libreoffice.org/6750
+Tested-by: Jan-Marek Glogowski <glogow@fbihome.de>
+Reviewed-by: Jan-Marek Glogowski <glogow@fbihome.de>
+---
+ vcl/unx/kde4/KDESalDisplay.cxx | 22 ++++++++++++++++------
+ 1 file changed, 16 insertions(+), 6 deletions(-)
+
+diff --git a/vcl/unx/kde4/KDESalDisplay.cxx b/vcl/unx/kde4/KDESalDisplay.cxx
+index 21440fc..ee330e7 100644
+--- a/vcl/unx/kde4/KDESalDisplay.cxx
++++ b/vcl/unx/kde4/KDESalDisplay.cxx
+@@ -25,6 +25,8 @@
+ #include <assert.h>
+ #include <unx/saldata.hxx>
+
++#include <qthread.h>
++
+ SalKDEDisplay* SalKDEDisplay::selfptr = NULL;
+
+ SalKDEDisplay::SalKDEDisplay( Display* pDisp )
+@@ -48,18 +50,26 @@ SalKDEDisplay::~SalKDEDisplay()
+
+ void SalKDEDisplay::Yield()
+ {
+- if( DispatchInternalEvent() )
++ // We yield the display throught the main Qt thread.
++ // Actually this Yield may call the Display::Yield, which results in an
++ // unlimited cycle.
++ static bool break_cyclic_yield_recursion = false;
++ bool is_qt_gui_thread = ( qApp->thread() == QThread::currentThread() );
++
++ if( DispatchInternalEvent() || break_cyclic_yield_recursion )
+ return;
+
++ if( is_qt_gui_thread )
++ break_cyclic_yield_recursion = true;
++
+ DBG_ASSERT( static_cast<SalYieldMutex*>(GetSalData()->m_pInstance->GetYieldMutex())->GetThreadId() ==
+ osl::Thread::getCurrentIdentifier(),
+ "will crash soon since solar mutex not locked in SalKDEDisplay::Yield" );
+
+- XEvent event;
+- XNextEvent( pDisp_, &event );
+- if( checkDirectInputEvent( &event ))
+- return;
+- qApp->x11ProcessEvent( &event );
++ static_cast<KDEXLib*>(GetXLib())->Yield( true, false );
++
++ if( is_qt_gui_thread )
++ break_cyclic_yield_recursion = false;
+ }
+
+ // HACK: When using Qt event loop, input methods (japanese, etc.) will get broken because
+--
+1.8.5.1
+
diff --git a/app-office/libreoffice/files/libreoffice-4.1.3.2-kde-recursiverepaint.patch b/app-office/libreoffice/files/libreoffice-4.1.3.2-kde-recursiverepaint.patch
new file mode 100644
index 00000000..7067c019
--- /dev/null
+++ b/app-office/libreoffice/files/libreoffice-4.1.3.2-kde-recursiverepaint.patch
@@ -0,0 +1,141 @@
+Minor modification for libreoffice-4.1: in line 137, reset Q_EMIT to
+emit... dilfridge@gentoo.org
+
+From 13a34f4c6307d1bd2443cbf3fbd83bfdd8cdbafb Mon Sep 17 00:00:00 2001
+From: Jan-Marek Glogowski <glogow@fbihome.de>
+Date: Fri, 15 Nov 2013 13:42:15 +0000
+Subject: Rewrite Qt4 based nested yield mutex locking.
+
+The Qt event loop may start a nested event loop, when checking for
+clipboard and Drag'n'Drop events.
+
+Previously this was handled by running this nested yield loop
+inside the main glib loop using
+ qApp->clipboard()->property( "useEventLoopWhenWaiting" );
+
+But this results in nested paint events which crash LO:
+ QWidget::repaint: Recursive repaint detected
+
+To prevend yield mutex deadlocks, check for nested event loops
+and always release the yield lock before starting the nested Yield
+event loop.
+
+This fixes fdo#69002.
+
+Change-Id: I7e827abd3489783053ec7123372742a32555875d
+Reviewed-on: https://gerrit.libreoffice.org/6685
+Reviewed-by: Michael Meeks <michael.meeks@collabora.com>
+Reviewed-by: Thorsten Behrens <thb@documentfoundation.org>
+Tested-by: Thorsten Behrens <thb@documentfoundation.org>
+---
+diff --git a/vcl/unx/kde4/KDE4FilePicker.cxx b/vcl/unx/kde4/KDE4FilePicker.cxx
+index ee4a6e3..cb20be4 100644
+--- a/vcl/unx/kde4/KDE4FilePicker.cxx
++++ b/vcl/unx/kde4/KDE4FilePicker.cxx
+@@ -58,6 +58,8 @@
+
+ #undef Region
+
++#include "generic/geninst.h"
++
+ using namespace ::com::sun::star;
+ using namespace ::com::sun::star::ui::dialogs;
+ using namespace ::com::sun::star::ui::dialogs::TemplateDescription;
+@@ -253,28 +255,16 @@ sal_Int16 SAL_CALL KDE4FilePicker::execute()
+ _dialog->setFilter(_filter);
+ _dialog->filterWidget()->setEditable(false);
+
+- // At this point, SolarMutex is held. Opening the KDE file dialog here
+- // can lead to QClipboard asking for clipboard contents. If LO core
+- // is the owner of the clipboard content, this will block for 5 seconds
+- // and timeout, since the clipboard thread will not be able to acquire
+- // SolarMutex and thus won't be able to respond. If the event loops
+- // are properly integrated and QClipboard can use a nested event loop
+- // (see the KDE VCL plug), then this won't happen, but otherwise
+- // simply release the SolarMutex here. The KDE file dialog does not
+- // call back to the core, so this should be safe (and if it does,
+- // SolarMutex will need to be re-acquired).
+- long mutexrelease = 0;
+- if( !qApp->clipboard()->property( "useEventLoopWhenWaiting" ).toBool())
+- mutexrelease = Application::ReleaseSolarMutex();
+- //block and wait for user input
++ // We're entering a nested loop.
++ // Release the yield mutex to prevent deadlocks.
+ int result = _dialog->exec();
++
+ // HACK: KFileDialog uses KConfig("kdeglobals") for saving some settings
+ // (such as the auto-extension flag), but that doesn't update KGlobal::config()
+ // (which is probably a KDE bug), so force reading the new configuration,
+ // otherwise the next opening of the dialog would use the old settings.
+ KGlobal::config()->reparseConfiguration();
+- if( !qApp->clipboard()->property( "useEventLoopWhenWaiting" ).toBool())
+- Application::AcquireSolarMutex( mutexrelease );
++
+ if( result == KFileDialog::Accepted)
+ return ExecutableDialogResults::OK;
+
+diff --git a/vcl/unx/kde4/KDEXLib.cxx b/vcl/unx/kde4/KDEXLib.cxx
+index 8e0eb67..67d7a4d 100644
+--- a/vcl/unx/kde4/KDEXLib.cxx
++++ b/vcl/unx/kde4/KDEXLib.cxx
+@@ -225,9 +225,6 @@ void KDEXLib::setupEventLoop()
+ eventLoopType = GlibEventLoop;
+ old_gpoll = g_main_context_get_poll_func( NULL );
+ g_main_context_set_poll_func( NULL, gpoll_wrapper );
+- // set QClipboard to use event loop, otherwise the main thread will hold
+- // SolarMutex locked, which will prevent the clipboard thread from answering
+- m_pApplication->clipboard()->setProperty( "useEventLoopWhenWaiting", true );
+ return;
+ }
+ #endif
+@@ -244,9 +241,6 @@ void KDEXLib::setupEventLoop()
+ eventLoopType = QtUnixEventLoop;
+ QInternal::callFunction( QInternal::GetUnixSelectFunction, reinterpret_cast< void** >( &qt_select ));
+ QInternal::callFunction( QInternal::SetUnixSelectFunction, reinterpret_cast< void** >( lo_select ));
+- // set QClipboard to use event loop, otherwise the main thread will hold
+- // SolarMutex locked, which will prevent the clipboard thread from answering
+- m_pApplication->clipboard()->setProperty( "useEventLoopWhenWaiting", true );
+ return;
+ }
+ #endif
+@@ -300,6 +294,9 @@ void KDEXLib::socketNotifierActivated( int fd )
+
+ void KDEXLib::Yield( bool bWait, bool bHandleAllCurrentEvents )
+ {
++ // Nested yield loop counter.
++ static int loop_depth = 0;
++
+ if( eventLoopType == LibreOfficeEventLoop )
+ {
+ if( qApp->thread() == QThread::currentThread())
+@@ -310,13 +307,24 @@ void KDEXLib::Yield( bool bWait, bool bHandleAllCurrentEvents )
+ }
+ return SalXLib::Yield( bWait, bHandleAllCurrentEvents );
+ }
++
+ // if we are the main thread (which is where the event processing is done),
+ // good, just do it
+- if( qApp->thread() == QThread::currentThread())
++ if( qApp->thread() == QThread::currentThread()) {
++ // Release the yield lock before entering a nested loop.
++ if (loop_depth > 0)
++ SalYieldMutexReleaser aReleaser;
++ loop_depth++;
+ processYield( bWait, bHandleAllCurrentEvents );
+- else
+- { // if this deadlocks, event processing needs to go into a separate thread
+- // or some other solution needs to be found
++ loop_depth--;
++ }
++ else {
++ // we were called from another thread;
++ // release the yield lock to prevent deadlock.
++ SalYieldMutexReleaser aReleaser;
++
++ // if this deadlocks, event processing needs to go into a separate
++ // thread or some other solution needs to be found
+ emit processYieldSignal( bWait, bHandleAllCurrentEvents );
+ }
+ }
+--
+cgit v0.9.0.2-2-gbebe
diff --git a/app-office/libreoffice/files/libreoffice-4.2.0.4-curl-config.patch b/app-office/libreoffice/files/libreoffice-4.2.0.4-curl-config.patch
new file mode 100644
index 00000000..e07f5ad9
--- /dev/null
+++ b/app-office/libreoffice/files/libreoffice-4.2.0.4-curl-config.patch
@@ -0,0 +1,60 @@
+--- a/configure.ac 2014-01-27 22:35:34.000000000 +0100
++++ b/configure.ac 2014-02-02 23:27:50.911033565 +0100
+@@ -8606,39 +8606,31 @@
+ AC_MSG_RESULT([external])
+ SYSTEM_CURL=YES
+
+- curl_version=""
+- if test "$cross_compiling" = "yes"; then
+- dnl At least the OBS mingw32-libcurl-devel package
+- dnl comes with a proper .pc file
+- PKG_CHECK_MODULES(CURL, libcurl,, [:])
+- if test -n "$CURL_PKG_ERRORS"; then
+- AC_MSG_RESULT([no])
+- else
+- curl_version=`$PKG_CONFIG --modversion libcurl`
+- fi
+- fi
+- if test -z "$curl_version"; then
++ AC_MSG_CHECKING([whether libcurl is >= 7.13.1])
++
++ # First try PKGCONFIG and then fall back
++ PKG_CHECK_MODULES(CURL, libcurl >= 7.13.1,, [:])
++
++ if test -n "$CURL_PKG_ERRORS"; then
+ AC_PATH_PROG(CURLCONFIG, curl-config)
+ if test -z "$CURLCONFIG"; then
+- AC_MSG_ERROR([install the libcurl development package])
++ AC_MSG_ERROR([curl development files not found])
+ fi
+ CURL_LIBS=`$CURLCONFIG --libs`
+ CURL_CFLAGS=$("$CURLCONFIG" --cflags | sed -e "s/-I/${ISYSTEM?}/g")
+ curl_version=`$CURLCONFIG --version | $SED -e 's/^libcurl //'`
+- fi
+-
+- AC_MSG_CHECKING([whether libcurl is >= 7.13.1])
+
+- case $curl_version in
+- dnl brackets doubled below because Autoconf uses them as m4 quote characters,
+- dnl so they need to be doubled to end up in the configure script
+- 7.13.1|7.1[[4-9]].*|7.[[2-9]]?.*|7.???.*|[[8-9]].*|[[1-9]][[0-9]].*)
+- AC_MSG_RESULT([yes, you have $curl_version])
+- ;;
+- *)
+- AC_MSG_ERROR([no, you have $curl_version])
+- ;;
+- esac
++ case $curl_version in
++ dnl brackets doubled below because Autoconf uses them as m4 quote characters,
++ dnl so they need to be doubled to end up in the configure script
++ 7.13.1|7.1[[4-9]].*|7.[[2-9]]?.*|7.???.*|[[8-9]].*|[[1-9]][[0-9]].*)
++ ;;
++ *)
++ AC_MSG_ERROR([no, you have $curl_version])
++ ;;
++ esac
++ fi
++ AC_MSG_RESULT([yes])
+
+ libo_MINGW_CHECK_DLL([libcurl])
+ libo_MINGW_TRY_DLL([libintl])
diff --git a/app-office/libreoffice/files/libreoffice-4.2.6.3-jpeg9.patch b/app-office/libreoffice/files/libreoffice-4.2.6.3-jpeg9.patch
new file mode 100644
index 00000000..b72012b6
--- /dev/null
+++ b/app-office/libreoffice/files/libreoffice-4.2.6.3-jpeg9.patch
@@ -0,0 +1,52 @@
+From a96a0ae362070d8e99587c6d658c1e11895c717c Mon Sep 17 00:00:00 2001
+From: "Andreas K. Huettel (dilfridge)" <dilfridge@gentoo.org>
+Date: Thu, 18 Sep 2014 22:43:35 +0200
+Subject: [PATCH] type conversion fixes for jpeg-9 compatibility
+
+backport of 867aa217e6bcb543ea61c61f10088042d632bd07 from libreoffice-4-3 branch
+---
+ vcl/source/filter/jpeg/JpegReader.cxx | 6 +++---
+ vcl/source/filter/jpeg/JpegWriter.cxx | 2 +-
+ 2 files changed, 4 insertions(+), 4 deletions(-)
+
+diff --git a/vcl/source/filter/jpeg/JpegReader.cxx b/vcl/source/filter/jpeg/JpegReader.cxx
+index 89f9028..9014d00 100644
+--- a/vcl/source/filter/jpeg/JpegReader.cxx
++++ b/vcl/source/filter/jpeg/JpegReader.cxx
+@@ -71,7 +71,7 @@ extern "C" void init_source (j_decompress_ptr cinfo)
+ * but we don't clear the input buffer.
+ * This is correct behavior for reading a series of images from one source.
+ */
+- source->start_of_file = sal_True;
++ source->start_of_file = TRUE;
+ }
+
+ long StreamRead( SvStream* pStream, void* pBuffer, long nBufferSize )
+@@ -119,9 +119,9 @@ extern "C" boolean fill_input_buffer (j_decompress_ptr cinfo)
+
+ source->pub.next_input_byte = source->buffer;
+ source->pub.bytes_in_buffer = nbytes;
+- source->start_of_file = sal_False;
++ source->start_of_file = FALSE;
+
+- return sal_True;
++ return TRUE;
+ }
+
+ extern "C" void skip_input_data (j_decompress_ptr cinfo, long numberOfBytes)
+diff --git a/vcl/source/filter/jpeg/JpegWriter.cxx b/vcl/source/filter/jpeg/JpegWriter.cxx
+index 102eb4d..ba2f788 100644
+--- a/vcl/source/filter/jpeg/JpegWriter.cxx
++++ b/vcl/source/filter/jpeg/JpegWriter.cxx
+@@ -86,7 +86,7 @@ extern "C" boolean empty_output_buffer (j_compress_ptr cinfo)
+ destination->pub.next_output_byte = destination->buffer;
+ destination->pub.free_in_buffer = BUFFER_SIZE;
+
+- return sal_True;
++ return TRUE;
+ }
+
+ extern "C" void term_destination (j_compress_ptr cinfo)
+--
+2.1.0
+
diff --git a/app-office/libreoffice/libreoffice-4.2.5.2.ebuild b/app-office/libreoffice/libreoffice-4.2.5.2.ebuild
new file mode 100644
index 00000000..a7eb3bac
--- /dev/null
+++ b/app-office/libreoffice/libreoffice-4.2.5.2.ebuild
@@ -0,0 +1,595 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+KDE_REQUIRED="optional"
+QT_MINIMAL="4.7.4"
+KDE_SCM="git"
+CMAKE_REQUIRED="never"
+
+PYTHON_COMPAT=( python2_7 python3_3 python3_4 )
+PYTHON_REQ_USE="threads,xml"
+
+# experimental ; release ; old
+# Usually the tarballs are moved a lot so this should make
+# everyone happy.
+DEV_URI="
+ http://dev-builds.libreoffice.org/pre-releases/src
+ http://download.documentfoundation.org/libreoffice/src/${PV:0:5}/
+ http://download.documentfoundation.org/libreoffice/old/${PV}/
+"
+EXT_URI="http://ooo.itc.hu/oxygenoffice/download/libreoffice"
+ADDONS_URI="http://dev-www.libreoffice.org/src/"
+
+BRANDING="${PN}-branding-gentoo-0.8.tar.xz"
+# PATCHSET="${P}-patchset-01.tar.xz"
+
+[[ ${PV} == *9999* ]] && SCM_ECLASS="git-2"
+inherit base autotools bash-completion-r1 check-reqs eutils java-pkg-opt-2 kde4-base pax-utils python-single-r1 multilib toolchain-funcs flag-o-matic nsplugins ${SCM_ECLASS}
+unset SCM_ECLASS
+
+DESCRIPTION="LibreOffice, a full office productivity suite."
+HOMEPAGE="http://www.libreoffice.org"
+SRC_URI="branding? ( http://dev.gentoo.org/~dilfridge/distfiles/${BRANDING} )"
+[[ -n ${PATCHSET} ]] && SRC_URI+=" http://dev.gentooexperimental.org/~scarabeus/${PATCHSET}"
+
+# Split modules following git/tarballs
+# Core MUST be first!
+# Help is used for the image generator
+MODULES="core help"
+# Only release has the tarballs
+if [[ ${PV} != *9999* ]]; then
+ for i in ${DEV_URI}; do
+ for mod in ${MODULES}; do
+ if [[ ${mod} == core ]]; then
+ SRC_URI+=" ${i}/${P}.tar.xz"
+ else
+ SRC_URI+=" ${i}/${PN}-${mod}-${PV}.tar.xz"
+ fi
+ done
+ unset mod
+ done
+ unset i
+fi
+unset DEV_URI
+
+# Really required addons
+# These are bundles that can't be removed for now due to huge patchsets.
+# If you want them gone, patches are welcome.
+ADDONS_SRC+=" ${ADDONS_URI}/d62650a6f908e85643e557a236ea989c-vigra1.6.0.tar.gz"
+ADDONS_SRC+=" ${ADDONS_URI}/1f24ab1d39f4a51faf22244c94a6203f-xmlsec1-1.2.14.tar.gz" # modifies source code
+ADDONS_SRC+=" java? ( ${ADDONS_URI}/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip )"
+ADDONS_SRC+=" libreoffice_extensions_wiki-publisher? ( ${ADDONS_URI}/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip )" # no release for 8 years, should we package it?
+ADDONS_SRC+=" libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip )" # Does not build with 1.6 rhino at all
+ADDONS_SRC+=" libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/35c94d2df8893241173de1d16b6034c0-swingExSrc.zip )" # requirement of rhino
+ADDONS_SRC+=" odk? ( http://download.go-oo.org/extern/185d60944ea767075d27247c3162b3bc-unowinreg.dll )" # not packageable
+SRC_URI+=" ${ADDONS_SRC}"
+
+unset ADDONS_URI
+unset EXT_URI
+unset ADDONS_SRC
+
+IUSE="bluetooth +branding +cups dbus debug eds firebird gnome gstreamer +gtk
+gtk3 jemalloc kde mysql odk opengl postgres telepathy test +vba vlc +webdav"
+
+LO_EXTS="nlpsolver scripting-beanshell scripting-javascript wiki-publisher"
+# Unpackaged separate extensions:
+# diagram: lo has 0.9.5 upstream is weirdly patched 0.9.4 -> wtf?
+# hunart: only on ooo extensions -> fubared download path somewhere on sf
+# numbertext, typo, validator, watch-window: ^^
+# oooblogger: no homepage or anything
+# Extensions that need extra work:
+for lo_xt in ${LO_EXTS}; do
+ IUSE+=" libreoffice_extensions_${lo_xt}"
+done
+unset lo_xt
+
+LICENSE="|| ( LGPL-3 MPL-1.1 )"
+SLOT="0"
+[[ ${PV} == *9999* ]] || \
+KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux"
+
+COMMON_DEPEND="
+ ${PYTHON_DEPS}
+ app-arch/zip
+ app-arch/unzip
+ >=app-text/hunspell-1.3.2-r3
+ app-text/mythes
+ app-text/libabw
+ >=app-text/libexttextcat-3.2
+ app-text/libebook
+ app-text/libetonyek
+ app-text/liblangtag
+ app-text/libmspub
+ >=app-text/libmwaw-0.2
+ >=app-text/libodfgen-0.0.3
+ app-text/libwpd:0.9[tools]
+ app-text/libwpg:0.2
+ >=app-text/libwps-0.2.2
+ >=app-text/poppler-0.16:=[xpdf-headers(+),cxx]
+ >=dev-cpp/clucene-2.3.3.4-r2
+ dev-cpp/libcmis:0.4
+ dev-db/unixODBC
+ >=dev-libs/boost-1.46:=
+ dev-libs/expat
+ >=dev-libs/hyphen-2.7.1
+ >=dev-libs/icu-4.8.1.1:=
+ >=dev-libs/libatomic_ops-7.2d
+ =dev-libs/liborcus-0.5*:=
+ >=dev-libs/nspr-4.8.8
+ >=dev-libs/nss-3.12.9
+ >=dev-lang/perl-5.0
+ >=dev-libs/openssl-1.0.0d
+ >=dev-libs/redland-1.0.16[ssl]
+ media-gfx/graphite2
+ >=media-libs/fontconfig-2.8.0
+ media-libs/freetype:2
+ >=media-libs/harfbuzz-0.9.18:=[icu(+)]
+ media-libs/lcms:2
+ >=media-libs/libpng-1.4
+ >=media-libs/libcdr-0.0.5
+ media-libs/libfreehand
+ media-libs/libvisio
+ >=net-misc/curl-7.21.4
+ net-nds/openldap
+ sci-mathematics/lpsolve
+ virtual/jpeg:0
+ >=x11-libs/cairo-1.10.0[X]
+ x11-libs/libXinerama
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ bluetooth? ( net-wireless/bluez )
+ cups? ( net-print/cups )
+ dbus? ( >=dev-libs/dbus-glib-0.92 )
+ eds? ( gnome-extra/evolution-data-server )
+ firebird? ( >=dev-db/firebird-2.5 )
+ gnome? ( gnome-base/gconf:2 )
+ gtk? (
+ x11-libs/gdk-pixbuf[X]
+ >=x11-libs/gtk+-2.24:2
+ )
+ gtk3? ( >=x11-libs/gtk+-3.2:3 )
+ gstreamer? (
+ media-libs/gstreamer:1.0
+ media-libs/gst-plugins-base:1.0
+ )
+ jemalloc? ( dev-libs/jemalloc )
+ libreoffice_extensions_scripting-beanshell? ( >=dev-java/bsh-2.0_beta4 )
+ libreoffice_extensions_scripting-javascript? ( dev-java/rhino:1.6 )
+ libreoffice_extensions_wiki-publisher? (
+ dev-java/commons-codec:0
+ dev-java/commons-httpclient:3
+ dev-java/commons-lang:2.1
+ dev-java/commons-logging:0
+ dev-java/tomcat-servlet-api:3.0
+ )
+ mysql? ( >=dev-db/mysql-connector-c++-1.1.0 )
+ opengl? (
+ virtual/glu
+ virtual/opengl
+ )
+ postgres? ( >=dev-db/postgresql-base-9.0[kerberos] )
+ telepathy? (
+ dev-libs/glib:2
+ >=net-libs/telepathy-glib-0.18.0
+ >=x11-libs/gtk+-2.24:2
+ )
+ webdav? ( net-libs/neon )
+"
+
+RDEPEND="${COMMON_DEPEND}
+ !app-office/libreoffice-bin
+ !app-office/libreoffice-bin-debug
+ !<app-office/openoffice-bin-3.4.0-r1
+ !app-office/openoffice
+ media-fonts/libertine-ttf
+ media-fonts/liberation-fonts
+ media-fonts/urw-fonts
+ java? ( >=virtual/jre-1.6 )
+ vlc? ( media-video/vlc )
+"
+
+# Force libreoffice-l10n-en_US installation
+# This will install LibreOffice templates
+L10N_VER="$(get_version_component_range 1-2)*"
+PDEPEND="=app-office/libreoffice-l10n-en_US-${L10N_VER}
+ x11-themes/kogaion-artwork-loo"
+
+# FIXME: cppunit should be moved to test conditional
+# after everything upstream is under gbuild
+# as dmake execute tests right away
+DEPEND="${COMMON_DEPEND}
+ >=dev-libs/libxml2-2.7.8
+ dev-libs/libxslt
+ dev-perl/Archive-Zip
+ dev-util/cppunit
+ >=dev-util/gperf-3
+ dev-util/intltool
+ >=dev-util/mdds-0.10.2:=
+ virtual/pkgconfig
+ net-misc/npapi-sdk
+ >=sys-apps/findutils-4.4.2
+ sys-devel/bison
+ sys-apps/coreutils
+ sys-devel/flex
+ sys-devel/gettext
+ >=sys-devel/make-3.82
+ sys-devel/ucpp
+ sys-libs/zlib
+ x11-libs/libXt
+ x11-libs/libXtst
+ x11-proto/randrproto
+ x11-proto/xextproto
+ x11-proto/xineramaproto
+ x11-proto/xproto
+ java? (
+ >=virtual/jdk-1.6
+ >=dev-java/ant-core-1.7
+ )
+ odk? ( >=app-doc/doxygen-1.8.4 )
+ test? ( dev-util/cppunit )
+"
+
+PATCHES=(
+ # not upstreamable stuff
+ "${FILESDIR}/${PN}-3.7-system-pyuno.patch"
+
+ # staged for git master
+ "${FILESDIR}/${PN}-4.2.0.4-curl-config.patch"
+)
+
+REQUIRED_USE="
+ ${PYTHON_REQUIRED_USE}
+ bluetooth? ( dbus )
+ gnome? ( gtk )
+ eds? ( gnome )
+ telepathy? ( gtk )
+ libreoffice_extensions_nlpsolver? ( java )
+ libreoffice_extensions_scripting-beanshell? ( java )
+ libreoffice_extensions_scripting-javascript? ( java )
+ libreoffice_extensions_wiki-publisher? ( java )
+"
+
+CHECKREQS_MEMORY="512M"
+CHECKREQS_DISK_BUILD="6G"
+
+pkg_pretend() {
+ local pgslot
+
+ if [[ ${MERGE_TYPE} != binary ]]; then
+ check-reqs_pkg_pretend
+
+ if [[ $(gcc-major-version) -lt 4 ]] || \
+ ( [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 6 ]] ) \
+ ; then
+ eerror "Compilation with gcc older than 4.6 is not supported"
+ die "Too old gcc found."
+ fi
+ fi
+
+ # Ensure pg version but we have to be sure the pg is installed (first
+ # install on clean system)
+ if use postgres && has_version dev-db/postgresql-base; then
+ pgslot=$(postgresql-config show)
+ if [[ ${pgslot//.} < 90 ]] ; then
+ eerror "PostgreSQL slot must be set to 9.0 or higher."
+ eerror " postgresql-config set 9.0"
+ die "PostgreSQL slot is not set to 9.0 or higher."
+ fi
+ fi
+}
+
+pkg_setup() {
+ java-pkg-opt-2_pkg_setup
+ kde4-base_pkg_setup
+ python-single-r1_pkg_setup
+
+ [[ ${MERGE_TYPE} != binary ]] && check-reqs_pkg_setup
+}
+
+src_unpack() {
+ local mod mod2 dest tmplfile tmplname mypv
+
+ [[ -n ${PATCHSET} ]] && unpack ${PATCHSET}
+ use branding && unpack "${BRANDING}"
+
+ if [[ ${PV} != *9999* ]]; then
+ unpack "${P}.tar.xz"
+ for mod in ${MODULES}; do
+ [[ ${mod} == core ]] && continue
+ unpack "${PN}-${mod}-${PV}.tar.xz"
+ done
+ else
+ for mod in ${MODULES}; do
+ mypv=${PV/.9999}
+ [[ ${mypv} != ${PV} ]] && EGIT_BRANCH="${PN}-${mypv/./-}"
+ EGIT_PROJECT="${PN}/${mod}"
+ EGIT_SOURCEDIR="${WORKDIR}/${P}"
+ [[ ${mod} != core ]] && EGIT_SOURCEDIR="${WORKDIR}/${PN}-${mod}-${PV}"
+ EGIT_REPO_URI="git://anongit.freedesktop.org/${PN}/${mod}"
+ EGIT_NOUNPACK="true"
+ git-2_src_unpack
+ if [[ ${mod} != core ]]; then
+ mod2=${mod}
+ # mapping does not match on help
+ [[ ${mod} == help ]] && mod2="helpcontent2"
+ mkdir -p "${S}/${mod2}/" || die
+ mv -n "${WORKDIR}/${PN}-${mod}-${PV}"/* "${S}/${mod2}" || die
+ rm -rf "${WORKDIR}/${PN}-${mod}-${PV}"
+ fi
+ done
+ unset EGIT_PROJECT EGIT_SOURCEDIR EGIT_REPO_URI EGIT_BRANCH
+ fi
+}
+
+src_prepare() {
+ # optimization flags
+ export GMAKE_OPTIONS="${MAKEOPTS}"
+ # System python 2.7 enablement:
+ export PYTHON_CFLAGS=$(python_get_CFLAGS)
+ export PYTHON_LIBS=$(python_get_LIBS)
+
+ # patchset
+ if [[ -n ${PATCHSET} ]]; then
+ EPATCH_FORCE="yes" \
+ EPATCH_SOURCE="${WORKDIR}/${PATCHSET/.tar.xz/}" \
+ EPATCH_SUFFIX="patch" \
+ epatch
+ fi
+
+ base_src_prepare
+
+ AT_M4DIR="m4" eautoreconf
+ # hack in the autogen.sh
+ touch autogen.lastrun
+
+ # system pyuno mess
+ sed \
+ -e "s:%eprefix%:${EPREFIX}:g" \
+ -e "s:%libdir%:$(get_libdir):g" \
+ -i pyuno/source/module/uno.py \
+ -i scripting/source/pyprov/officehelper.py || die
+ # sed in the tests
+ sed -i \
+ -e 's#all : build unitcheck#all : build#g' \
+ solenv/gbuild/Module.mk || die
+ sed -i \
+ -e 's#check: dev-install subsequentcheck#check: unitcheck slowcheck dev-install subsequentcheck#g' \
+ -e 's#Makefile.gbuild all slowcheck#Makefile.gbuild all#g' \
+ Makefile.in || die
+
+ if use branding; then
+ # hack...
+ mv -v "${WORKDIR}/branding-intro.png" "${S}/icon-themes/galaxy/brand/intro.png" || die
+ fi
+}
+
+src_configure() {
+ local java_opts
+ local internal_libs
+ local lo_ext
+ local ext_opts
+ local jbs=$(sed -ne 's/.*\(-j[[:space:]]*\|--jobs=\)\([[:digit:]]\+\).*/\2/;T;p' <<< "${MAKEOPTS}")
+
+ # recheck that there is some value in jobs
+ [[ -z ${jbs} ]] && jbs="1"
+
+ # sane: just sane.h header that is used for scan in writer, not
+ # linked or anything else, worthless to depend on
+ # vigra: just uses templates from there
+ # it is serious pain in the ass for packaging
+ # should be replaced by boost::gil if someone interested
+ internal_libs+="
+ --without-system-sane
+ --without-system-vigra
+ "
+
+ # libreoffice extensions handling
+ for lo_xt in ${LO_EXTS}; do
+ if [[ "${lo_xt}" == "scripting-beanshell" || "${lo_xt}" == "scripting-javascript" ]]; then
+ ext_opts+=" $(use_enable libreoffice_extensions_${lo_xt} ${lo_xt})"
+ else
+ ext_opts+=" $(use_enable libreoffice_extensions_${lo_xt} ext-${lo_xt})"
+ fi
+ done
+
+ if use java; then
+ # hsqldb: system one is too new
+ java_opts="
+ --without-junit
+ --without-system-hsqldb
+ --with-ant-home="${ANT_HOME}"
+ --with-jdk-home=$(java-config --jdk-home 2>/dev/null)
+ --with-jvm-path="${EPREFIX}/usr/lib/"
+ "
+
+ use libreoffice_extensions_scripting-beanshell && \
+ java_opts+=" --with-beanshell-jar=$(java-pkg_getjar bsh bsh.jar)"
+
+ use libreoffice_extensions_scripting-javascript && \
+ java_opts+=" --with-rhino-jar=$(java-pkg_getjar rhino-1.6 js.jar)"
+
+ if use libreoffice_extensions_wiki-publisher; then
+ java_opts+="
+ --with-commons-codec-jar=$(java-pkg_getjar commons-codec commons-codec.jar)
+ --with-commons-httpclient-jar=$(java-pkg_getjar commons-httpclient-3 commons-httpclient.jar)
+ --with-commons-lang-jar=$(java-pkg_getjar commons-lang-2.1 commons-lang.jar)
+ --with-commons-logging-jar=$(java-pkg_getjar commons-logging commons-logging.jar)
+ --with-servlet-api-jar=$(java-pkg_getjar tomcat-servlet-api-3.0 servlet-api.jar)
+ "
+ fi
+ fi
+
+ # system headers/libs/...: enforce using system packages
+ # --enable-cairo: ensure that cairo is always required
+ # --enable-graphite: disabling causes build breakages
+ # --enable-*-link: link to the library rather than just dlopen on runtime
+ # --enable-release-build: build the libreoffice as release
+ # --disable-fetch-external: prevent dowloading during compile phase
+ # --disable-gnome-vfs: old gnome virtual fs support
+ # --disable-kdeab: kde3 adressbook
+ # --disable-kde: kde3 support
+ # --disable-systray: quickstarter does not actually work at all so do not
+ # promote it
+ # --enable-extension-integration: enable any extension integration support
+ # --without-{afms,fonts,myspell-dicts,ppsd}: prevent install of sys pkgs
+ # --disable-report-builder: too much java packages pulled in without pkgs
+ econf \
+ --docdir="${EPREFIX}/usr/share/doc/${PF}/" \
+ --with-system-headers \
+ --with-system-libs \
+ --with-system-jars \
+ --with-system-dicts \
+ --enable-cairo-canvas \
+ --enable-graphite \
+ --enable-largefile \
+ --enable-mergelibs \
+ --enable-python=system \
+ --enable-randr \
+ --enable-randr-link \
+ --enable-release-build \
+ --disable-hardlink-deliver \
+ --disable-ccache \
+ --disable-crashdump \
+ --disable-dependency-tracking \
+ --disable-epm \
+ --disable-fetch-external \
+ --disable-gnome-vfs \
+ --disable-gstreamer-0-10 \
+ --disable-report-builder \
+ --disable-kdeab \
+ --disable-kde \
+ --disable-online-update \
+ --disable-systray \
+ --with-alloc=$(use jemalloc && echo "jemalloc" || echo "system") \
+ --with-build-version="Sabayon official package" \
+ --enable-extension-integration \
+ --with-external-dict-dir="${EPREFIX}/usr/share/myspell" \
+ --with-external-hyph-dir="${EPREFIX}/usr/share/myspell" \
+ --with-external-thes-dir="${EPREFIX}/usr/share/myspell" \
+ --with-external-tar="${DISTDIR}" \
+ --with-lang="" \
+ --with-parallelism=${jbs} \
+ --with-system-ucpp \
+ --with-vendor="Sabayon Foundation" \
+ --with-x \
+ --without-afms \
+ --without-fonts \
+ --without-myspell-dicts \
+ --without-help \
+ --with-helppack-integration \
+ --without-sun-templates \
+ $(use_enable bluetooth sdremote-bluetooth) \
+ $(use_enable cups) \
+ $(use_enable debug) \
+ $(use_enable dbus) \
+ $(use_enable eds evolution2) \
+ $(use_enable firebird firebird-sdbc) \
+ $(use_enable gnome gconf) \
+ $(use_enable gnome gio) \
+ $(use_enable gnome lockdown) \
+ $(use_enable gstreamer) \
+ $(use_enable gtk) \
+ $(use_enable gtk3) \
+ $(use_enable kde kde4) \
+ $(use_enable mysql ext-mariadb-connector) \
+ $(use_enable odk) \
+ $(use_enable opengl) \
+ $(use_enable postgres postgresql-sdbc) \
+ $(use_enable telepathy) \
+ $(use_enable vba) \
+ $(use_enable vlc) \
+ $(use_enable webdav neon) \
+ $(use_with java) \
+ $(use_with mysql system-mysql-cppconn) \
+ $(use_with odk doxygen) \
+ ${internal_libs} \
+ ${java_opts} \
+ ${ext_opts}
+}
+
+src_compile() {
+ # hack for offlinehelp, this needs fixing upstream at some point
+ # it is broken because we send --without-help
+ # https://bugs.freedesktop.org/show_bug.cgi?id=46506
+ (
+ grep "^export" "${S}/config_host.mk" > "${T}/config_host.mk"
+ source "${T}/config_host.mk" 2&> /dev/null
+
+ local path="${WORKDIR}/helpcontent2/source/auxiliary/"
+ mkdir -p "${path}" || die
+
+ echo "perl \"${S}/helpcontent2/helpers/create_ilst.pl\" -dir=icon-themes/galaxy/res/helpimg > \"${path}/helpimg.ilst\""
+ perl "${S}/helpcontent2/helpers/create_ilst.pl" \
+ -dir=icon-themes/galaxy/res/helpimg \
+ > "${path}/helpimg.ilst"
+ [[ -s "${path}/helpimg.ilst" ]] || ewarn "The help images list is empty, something is fishy, report a bug."
+ )
+
+ local target
+ use test && target="build" || target="build-nocheck"
+
+ # this is not a proper make script
+ make ${target} || die
+}
+
+src_test() {
+ make unitcheck || die
+ make slowcheck || die
+}
+
+src_install() {
+ # This is not Makefile so no buildserver
+ make DESTDIR="${D}" distro-pack-install -o build -o check || die
+
+ # Fix bash completion placement
+ newbashcomp "${ED}"/etc/bash_completion.d/libreoffice.sh ${PN}
+ rm -rf "${ED}"/etc/
+
+ if use branding; then
+ insinto /usr/$(get_libdir)/${PN}/program
+ newins "${WORKDIR}/branding-sofficerc" sofficerc
+ echo "CONFIG_PROTECT=/usr/$(get_libdir)/${PN}/program/sofficerc" > "${ED}"/etc/env.d/99${PN}
+ fi
+
+ # symlink the nsplugin to proper location
+ # use gtk && inst_plugin /usr/$(get_libdir)/libreoffice/program/libnpsoplugin.so
+
+ # Hack for offlinehelp, this needs fixing upstream at some point.
+ # It is broken because we send --without-help
+ # https://bugs.freedesktop.org/show_bug.cgi?id=46506
+ insinto /usr/$(get_libdir)/libreoffice/help
+ doins xmlhelp/util/*.xsl
+
+ # Remove desktop files for support to old installs that can't parse mime
+ rm -rf "${ED}"/usr/share/mimelnk/
+
+ # Remove files owned by libreoffice-l10n
+ rm "${ED}"/usr/$(get_libdir)/libreoffice/share/wordbook/en-GB.dic || die
+ rm "${ED}"/usr/$(get_libdir)/libreoffice/share/wordbook/en-US.dic || die
+
+ # Remove files provided by x11-themes/kogaion-artwork-loo
+ rm "${ED}"/usr/$(get_libdir)/libreoffice/program/sofficerc || die "sofficerc rm failed"
+ rm "${ED}"/usr/$(get_libdir)/libreoffice/program/intro.png || die "sofficerc rm failed"
+
+ pax-mark -m "${ED}"/usr/$(get_libdir)/libreoffice/program/soffice.bin
+ pax-mark -m "${ED}"/usr/$(get_libdir)/libreoffice/program/unopkg.bin
+}
+
+pkg_preinst() {
+ # Cache updates - all handled by kde eclass for all environments
+ kde4-base_pkg_preinst
+}
+
+pkg_postinst() {
+ kde4-base_pkg_postinst
+
+ use java || \
+ ewarn 'If you plan to use lbase application you should enable java or you will get various crashes.'
+}
+
+pkg_postrm() {
+ kde4-base_pkg_postrm
+}
diff --git a/app-office/libreoffice/libreoffice-4.2.6.3.ebuild b/app-office/libreoffice/libreoffice-4.2.6.3.ebuild
new file mode 100644
index 00000000..42b1ad75
--- /dev/null
+++ b/app-office/libreoffice/libreoffice-4.2.6.3.ebuild
@@ -0,0 +1,598 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+KDE_REQUIRED="optional"
+QT_MINIMAL="4.7.4"
+KDE_SCM="git"
+CMAKE_REQUIRED="never"
+
+PYTHON_COMPAT=( python2_7 python3_3 python3_4 )
+PYTHON_REQ_USE="threads,xml"
+
+# experimental ; release ; old
+# Usually the tarballs are moved a lot so this should make
+# everyone happy.
+DEV_URI="
+ http://dev-builds.libreoffice.org/pre-releases/src
+ http://download.documentfoundation.org/libreoffice/src/${PV:0:5}/
+ http://download.documentfoundation.org/libreoffice/old/${PV}/
+"
+EXT_URI="http://ooo.itc.hu/oxygenoffice/download/libreoffice"
+ADDONS_URI="http://dev-www.libreoffice.org/src/"
+
+BRANDING="${PN}-branding-gentoo-0.8.tar.xz"
+# PATCHSET="${P}-patchset-01.tar.xz"
+
+[[ ${PV} == *9999* ]] && SCM_ECLASS="git-2"
+inherit base autotools bash-completion-r1 check-reqs eutils java-pkg-opt-2 kde4-base pax-utils python-single-r1 multilib toolchain-funcs flag-o-matic nsplugins ${SCM_ECLASS}
+unset SCM_ECLASS
+
+DESCRIPTION="LibreOffice, a full office productivity suite"
+HOMEPAGE="http://www.libreoffice.org"
+SRC_URI="branding? ( http://dev.gentoo.org/~dilfridge/distfiles/${BRANDING} )"
+[[ -n ${PATCHSET} ]] && SRC_URI+=" http://dev.gentooexperimental.org/~scarabeus/${PATCHSET}"
+
+# Split modules following git/tarballs
+# Core MUST be first!
+# Help is used for the image generator
+MODULES="core help"
+# Only release has the tarballs
+if [[ ${PV} != *9999* ]]; then
+ for i in ${DEV_URI}; do
+ for mod in ${MODULES}; do
+ if [[ ${mod} == core ]]; then
+ SRC_URI+=" ${i}/${P}.tar.xz"
+ else
+ SRC_URI+=" ${i}/${PN}-${mod}-${PV}.tar.xz"
+ fi
+ done
+ unset mod
+ done
+ unset i
+fi
+unset DEV_URI
+
+# Really required addons
+# These are bundles that can't be removed for now due to huge patchsets.
+# If you want them gone, patches are welcome.
+ADDONS_SRC+=" ${ADDONS_URI}/d62650a6f908e85643e557a236ea989c-vigra1.6.0.tar.gz"
+ADDONS_SRC+=" ${ADDONS_URI}/1f24ab1d39f4a51faf22244c94a6203f-xmlsec1-1.2.14.tar.gz" # modifies source code
+ADDONS_SRC+=" java? ( ${ADDONS_URI}/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip )"
+ADDONS_SRC+=" libreoffice_extensions_wiki-publisher? ( ${ADDONS_URI}/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip )" # no release for 8 years, should we package it?
+ADDONS_SRC+=" libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip )" # Does not build with 1.6 rhino at all
+ADDONS_SRC+=" libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/35c94d2df8893241173de1d16b6034c0-swingExSrc.zip )" # requirement of rhino
+ADDONS_SRC+=" odk? ( http://download.go-oo.org/extern/185d60944ea767075d27247c3162b3bc-unowinreg.dll )" # not packageable
+SRC_URI+=" ${ADDONS_SRC}"
+
+unset ADDONS_URI
+unset EXT_URI
+unset ADDONS_SRC
+
+IUSE="bluetooth +branding +cups dbus debug eds firebird gnome gstreamer +gtk
+gtk3 jemalloc kde mysql odk opengl postgres telepathy test +vba vlc +webdav"
+
+LO_EXTS="nlpsolver scripting-beanshell scripting-javascript wiki-publisher"
+# Unpackaged separate extensions:
+# diagram: lo has 0.9.5 upstream is weirdly patched 0.9.4 -> wtf?
+# hunart: only on ooo extensions -> fubared download path somewhere on sf
+# numbertext, typo, validator, watch-window: ^^
+# oooblogger: no homepage or anything
+# Extensions that need extra work:
+for lo_xt in ${LO_EXTS}; do
+ IUSE+=" libreoffice_extensions_${lo_xt}"
+done
+unset lo_xt
+
+LICENSE="|| ( LGPL-3 MPL-1.1 )"
+SLOT="0"
+[[ ${PV} == *9999* ]] || \
+KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux"
+
+COMMON_DEPEND="
+ ${PYTHON_DEPS}
+ app-arch/zip
+ app-arch/unzip
+ >=app-text/hunspell-1.3.2-r3
+ app-text/mythes
+ =app-text/libabw-0.0*
+ >=app-text/libexttextcat-3.2
+ =app-text/libebook-0.0*
+ =app-text/libetonyek-0.0*
+ app-text/liblangtag
+ =app-text/libmspub-0.0*
+ =app-text/libmwaw-0.2*
+ =app-text/libodfgen-0.0*
+ app-text/libwpd:0.9[tools]
+ app-text/libwpg:0.2
+ =app-text/libwps-0.2*
+ >=app-text/poppler-0.16:=[xpdf-headers(+),cxx]
+ >=dev-cpp/clucene-2.3.3.4-r2
+ dev-cpp/libcmis:0.4
+ dev-db/unixODBC
+ >=dev-libs/boost-1.46:=
+ dev-libs/expat
+ >=dev-libs/hyphen-2.7.1
+ >=dev-libs/icu-4.8.1.1:=
+ =dev-libs/liborcus-0.5*
+ >=dev-libs/nspr-4.8.8
+ >=dev-libs/nss-3.12.9
+ >=dev-lang/perl-5.0
+ >=dev-libs/openssl-1.0.0d:0
+ >=dev-libs/redland-1.0.16
+ media-gfx/graphite2
+ >=media-libs/fontconfig-2.8.0
+ media-libs/freetype:2
+ >=media-libs/harfbuzz-0.9.18:=[icu(+)]
+ media-libs/lcms:2
+ >=media-libs/libpng-1.4
+ =media-libs/libcdr-0.0*
+ =media-libs/libfreehand-0.0*
+ =media-libs/libvisio-0.0*
+ >=net-misc/curl-7.21.4
+ net-nds/openldap
+ sci-mathematics/lpsolve
+ virtual/jpeg:0
+ >=x11-libs/cairo-1.10.0[X]
+ x11-libs/libXinerama
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ bluetooth? ( net-wireless/bluez )
+ cups? ( net-print/cups )
+ dbus? ( >=dev-libs/dbus-glib-0.92 )
+ eds? ( gnome-extra/evolution-data-server )
+ firebird? ( >=dev-db/firebird-2.5 )
+ gnome? ( gnome-base/gconf:2 )
+ gtk? (
+ x11-libs/gdk-pixbuf[X]
+ >=x11-libs/gtk+-2.24:2
+ )
+ gtk3? ( >=x11-libs/gtk+-3.2:3 )
+ gstreamer? (
+ media-libs/gstreamer:1.0
+ media-libs/gst-plugins-base:1.0
+ )
+ jemalloc? ( dev-libs/jemalloc )
+ libreoffice_extensions_scripting-beanshell? ( >=dev-java/bsh-2.0_beta4 )
+ libreoffice_extensions_scripting-javascript? ( dev-java/rhino:1.6 )
+ libreoffice_extensions_wiki-publisher? (
+ dev-java/commons-codec:0
+ dev-java/commons-httpclient:3
+ dev-java/commons-lang:2.1
+ dev-java/commons-logging:0
+ dev-java/tomcat-servlet-api:3.0
+ )
+ mysql? ( >=dev-db/mysql-connector-c++-1.1.0 )
+ opengl? (
+ virtual/glu
+ virtual/opengl
+ )
+ postgres? ( >=dev-db/postgresql-base-9.0[kerberos] )
+ telepathy? (
+ dev-libs/glib:2
+ >=net-libs/telepathy-glib-0.18.0
+ >=x11-libs/gtk+-2.24:2
+ )
+ webdav? ( net-libs/neon )
+"
+
+RDEPEND="${COMMON_DEPEND}
+ !app-office/libreoffice-bin
+ !app-office/libreoffice-bin-debug
+ !<app-office/openoffice-bin-3.4.0-r1
+ !app-office/openoffice
+ media-fonts/libertine-ttf
+ media-fonts/liberation-fonts
+ media-fonts/urw-fonts
+ java? ( >=virtual/jre-1.6 )
+ vlc? ( media-video/vlc )
+"
+
+# Force libreoffice-l10n-en_US installation
+# This will install LibreOffice templates
+L10N_VER="$(get_version_component_range 1-2)*"
+PDEPEND="=app-office/libreoffice-l10n-en_US-${L10N_VER}
+ x11-themes/kogaion-artwork-loo"
+
+# FIXME: cppunit should be moved to test conditional
+# after everything upstream is under gbuild
+# as dmake execute tests right away
+DEPEND="${COMMON_DEPEND}
+ >=dev-libs/libatomic_ops-7.2d
+ >=dev-libs/libxml2-2.7.8
+ dev-libs/libxslt
+ dev-perl/Archive-Zip
+ dev-util/cppunit
+ >=dev-util/gperf-3
+ dev-util/intltool
+ >=dev-util/mdds-0.10.3:=
+ virtual/pkgconfig
+ net-misc/npapi-sdk
+ >=sys-apps/findutils-4.4.2
+ sys-devel/bison
+ sys-apps/coreutils
+ sys-devel/flex
+ sys-devel/gettext
+ >=sys-devel/make-3.82
+ sys-devel/ucpp
+ sys-libs/zlib
+ x11-libs/libXt
+ x11-libs/libXtst
+ x11-proto/randrproto
+ x11-proto/xextproto
+ x11-proto/xineramaproto
+ x11-proto/xproto
+ java? (
+ >=virtual/jdk-1.6
+ >=dev-java/ant-core-1.7
+ )
+ odk? ( >=app-doc/doxygen-1.8.4 )
+ test? ( dev-util/cppunit )
+"
+
+PATCHES=(
+ # not upstreamable stuff
+ "${FILESDIR}/${PN}-3.7-system-pyuno.patch"
+
+ # from libreoffice-4-3 branch
+ "${FILESDIR}/${PN}-4.2.6.3-jpeg9.patch"
+
+ # staged for git master
+ "${FILESDIR}/${PN}-4.2.0.4-curl-config.patch"
+)
+
+REQUIRED_USE="
+ ${PYTHON_REQUIRED_USE}
+ bluetooth? ( dbus )
+ gnome? ( gtk )
+ eds? ( gnome )
+ telepathy? ( gtk )
+ libreoffice_extensions_nlpsolver? ( java )
+ libreoffice_extensions_scripting-beanshell? ( java )
+ libreoffice_extensions_scripting-javascript? ( java )
+ libreoffice_extensions_wiki-publisher? ( java )
+"
+
+CHECKREQS_MEMORY="512M"
+CHECKREQS_DISK_BUILD="6G"
+
+pkg_pretend() {
+ local pgslot
+
+ if [[ ${MERGE_TYPE} != binary ]]; then
+ check-reqs_pkg_pretend
+
+ if [[ $(gcc-major-version) -lt 4 ]] || \
+ ( [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 6 ]] ) \
+ ; then
+ eerror "Compilation with gcc older than 4.6 is not supported"
+ die "Too old gcc found."
+ fi
+ fi
+
+ # Ensure pg version but we have to be sure the pg is installed (first
+ # install on clean system)
+ if use postgres && has_version dev-db/postgresql-base; then
+ pgslot=$(postgresql-config show)
+ if [[ ${pgslot//.} < 90 ]] ; then
+ eerror "PostgreSQL slot must be set to 9.0 or higher."
+ eerror " postgresql-config set 9.0"
+ die "PostgreSQL slot is not set to 9.0 or higher."
+ fi
+ fi
+}
+
+pkg_setup() {
+ java-pkg-opt-2_pkg_setup
+ kde4-base_pkg_setup
+ python-single-r1_pkg_setup
+
+ [[ ${MERGE_TYPE} != binary ]] && check-reqs_pkg_setup
+}
+
+src_unpack() {
+ local mod mod2 dest tmplfile tmplname mypv
+
+ [[ -n ${PATCHSET} ]] && unpack ${PATCHSET}
+ use branding && unpack "${BRANDING}"
+
+ if [[ ${PV} != *9999* ]]; then
+ unpack "${P}.tar.xz"
+ for mod in ${MODULES}; do
+ [[ ${mod} == core ]] && continue
+ unpack "${PN}-${mod}-${PV}.tar.xz"
+ done
+ else
+ for mod in ${MODULES}; do
+ mypv=${PV/.9999}
+ [[ ${mypv} != ${PV} ]] && EGIT_BRANCH="${PN}-${mypv/./-}"
+ EGIT_PROJECT="${PN}/${mod}"
+ EGIT_SOURCEDIR="${WORKDIR}/${P}"
+ [[ ${mod} != core ]] && EGIT_SOURCEDIR="${WORKDIR}/${PN}-${mod}-${PV}"
+ EGIT_REPO_URI="git://anongit.freedesktop.org/${PN}/${mod}"
+ EGIT_NOUNPACK="true"
+ git-2_src_unpack
+ if [[ ${mod} != core ]]; then
+ mod2=${mod}
+ # mapping does not match on help
+ [[ ${mod} == help ]] && mod2="helpcontent2"
+ mkdir -p "${S}/${mod2}/" || die
+ mv -n "${WORKDIR}/${PN}-${mod}-${PV}"/* "${S}/${mod2}" || die
+ rm -rf "${WORKDIR}/${PN}-${mod}-${PV}"
+ fi
+ done
+ unset EGIT_PROJECT EGIT_SOURCEDIR EGIT_REPO_URI EGIT_BRANCH
+ fi
+}
+
+src_prepare() {
+ # optimization flags
+ export GMAKE_OPTIONS="${MAKEOPTS}"
+ # System python 2.7 enablement:
+ export PYTHON_CFLAGS=$(python_get_CFLAGS)
+ export PYTHON_LIBS=$(python_get_LIBS)
+
+ # patchset
+ if [[ -n ${PATCHSET} ]]; then
+ EPATCH_FORCE="yes" \
+ EPATCH_SOURCE="${WORKDIR}/${PATCHSET/.tar.xz/}" \
+ EPATCH_SUFFIX="patch" \
+ epatch
+ fi
+
+ base_src_prepare
+
+ AT_M4DIR="m4" eautoreconf
+ # hack in the autogen.sh
+ touch autogen.lastrun
+
+ # system pyuno mess
+ sed \
+ -e "s:%eprefix%:${EPREFIX}:g" \
+ -e "s:%libdir%:$(get_libdir):g" \
+ -i pyuno/source/module/uno.py \
+ -i scripting/source/pyprov/officehelper.py || die
+ # sed in the tests
+ sed -i \
+ -e 's#all : build unitcheck#all : build#g' \
+ solenv/gbuild/Module.mk || die
+ sed -i \
+ -e 's#check: dev-install subsequentcheck#check: unitcheck slowcheck dev-install subsequentcheck#g' \
+ -e 's#Makefile.gbuild all slowcheck#Makefile.gbuild all#g' \
+ Makefile.in || die
+
+ if use branding; then
+ # hack...
+ mv -v "${WORKDIR}/branding-intro.png" "${S}/icon-themes/galaxy/brand/intro.png" || die
+ fi
+}
+
+src_configure() {
+ local java_opts
+ local internal_libs
+ local lo_ext
+ local ext_opts
+ local jbs=$(sed -ne 's/.*\(-j[[:space:]]*\|--jobs=\)\([[:digit:]]\+\).*/\2/;T;p' <<< "${MAKEOPTS}")
+
+ # recheck that there is some value in jobs
+ [[ -z ${jbs} ]] && jbs="1"
+
+ # sane: just sane.h header that is used for scan in writer, not
+ # linked or anything else, worthless to depend on
+ # vigra: just uses templates from there
+ # it is serious pain in the ass for packaging
+ # should be replaced by boost::gil if someone interested
+ internal_libs+="
+ --without-system-sane
+ --without-system-vigra
+ "
+
+ # libreoffice extensions handling
+ for lo_xt in ${LO_EXTS}; do
+ if [[ "${lo_xt}" == "scripting-beanshell" || "${lo_xt}" == "scripting-javascript" ]]; then
+ ext_opts+=" $(use_enable libreoffice_extensions_${lo_xt} ${lo_xt})"
+ else
+ ext_opts+=" $(use_enable libreoffice_extensions_${lo_xt} ext-${lo_xt})"
+ fi
+ done
+
+ if use java; then
+ # hsqldb: system one is too new
+ java_opts="
+ --without-junit
+ --without-system-hsqldb
+ --with-ant-home="${ANT_HOME}"
+ --with-jdk-home=$(java-config --jdk-home 2>/dev/null)
+ --with-jvm-path="${EPREFIX}/usr/lib/"
+ "
+
+ use libreoffice_extensions_scripting-beanshell && \
+ java_opts+=" --with-beanshell-jar=$(java-pkg_getjar bsh bsh.jar)"
+
+ use libreoffice_extensions_scripting-javascript && \
+ java_opts+=" --with-rhino-jar=$(java-pkg_getjar rhino-1.6 js.jar)"
+
+ if use libreoffice_extensions_wiki-publisher; then
+ java_opts+="
+ --with-commons-codec-jar=$(java-pkg_getjar commons-codec commons-codec.jar)
+ --with-commons-httpclient-jar=$(java-pkg_getjar commons-httpclient-3 commons-httpclient.jar)
+ --with-commons-lang-jar=$(java-pkg_getjar commons-lang-2.1 commons-lang.jar)
+ --with-commons-logging-jar=$(java-pkg_getjar commons-logging commons-logging.jar)
+ --with-servlet-api-jar=$(java-pkg_getjar tomcat-servlet-api-3.0 servlet-api.jar)
+ "
+ fi
+ fi
+
+ # system headers/libs/...: enforce using system packages
+ # --enable-cairo: ensure that cairo is always required
+ # --enable-graphite: disabling causes build breakages
+ # --enable-*-link: link to the library rather than just dlopen on runtime
+ # --enable-release-build: build the libreoffice as release
+ # --disable-fetch-external: prevent dowloading during compile phase
+ # --disable-gnome-vfs: old gnome virtual fs support
+ # --disable-kdeab: kde3 adressbook
+ # --disable-kde: kde3 support
+ # --disable-systray: quickstarter does not actually work at all so do not
+ # promote it
+ # --enable-extension-integration: enable any extension integration support
+ # --without-{afms,fonts,myspell-dicts,ppsd}: prevent install of sys pkgs
+ # --disable-report-builder: too much java packages pulled in without pkgs
+ econf \
+ --docdir="${EPREFIX}/usr/share/doc/${PF}/" \
+ --with-system-headers \
+ --with-system-libs \
+ --with-system-jars \
+ --with-system-dicts \
+ --enable-cairo-canvas \
+ --enable-graphite \
+ --enable-largefile \
+ --enable-mergelibs \
+ --enable-python=system \
+ --enable-randr \
+ --enable-randr-link \
+ --enable-release-build \
+ --disable-hardlink-deliver \
+ --disable-ccache \
+ --disable-crashdump \
+ --disable-dependency-tracking \
+ --disable-epm \
+ --disable-fetch-external \
+ --disable-gnome-vfs \
+ --disable-gstreamer-0-10 \
+ --disable-report-builder \
+ --disable-kdeab \
+ --disable-kde \
+ --disable-online-update \
+ --disable-systray \
+ --with-alloc=$(use jemalloc && echo "jemalloc" || echo "system") \
+ --with-build-version="Sabayon official package" \
+ --enable-extension-integration \
+ --with-external-dict-dir="${EPREFIX}/usr/share/myspell" \
+ --with-external-hyph-dir="${EPREFIX}/usr/share/myspell" \
+ --with-external-thes-dir="${EPREFIX}/usr/share/myspell" \
+ --with-external-tar="${DISTDIR}" \
+ --with-lang="" \
+ --with-parallelism=${jbs} \
+ --with-system-ucpp \
+ --with-vendor="Sabayon Foundation" \
+ --with-x \
+ --without-afms \
+ --without-fonts \
+ --without-myspell-dicts \
+ --without-help \
+ --with-helppack-integration \
+ --without-sun-templates \
+ $(use_enable bluetooth sdremote-bluetooth) \
+ $(use_enable cups) \
+ $(use_enable debug) \
+ $(use_enable dbus) \
+ $(use_enable eds evolution2) \
+ $(use_enable firebird firebird-sdbc) \
+ $(use_enable gnome gconf) \
+ $(use_enable gnome gio) \
+ $(use_enable gnome lockdown) \
+ $(use_enable gstreamer) \
+ $(use_enable gtk) \
+ $(use_enable gtk3) \
+ $(use_enable kde kde4) \
+ $(use_enable mysql ext-mariadb-connector) \
+ $(use_enable odk) \
+ $(use_enable opengl) \
+ $(use_enable postgres postgresql-sdbc) \
+ $(use_enable telepathy) \
+ $(use_enable vba) \
+ $(use_enable vlc) \
+ $(use_enable webdav neon) \
+ $(use_with java) \
+ $(use_with mysql system-mysql-cppconn) \
+ $(use_with odk doxygen) \
+ ${internal_libs} \
+ ${java_opts} \
+ ${ext_opts}
+}
+
+src_compile() {
+ # hack for offlinehelp, this needs fixing upstream at some point
+ # it is broken because we send --without-help
+ # https://bugs.freedesktop.org/show_bug.cgi?id=46506
+ (
+ grep "^export" "${S}/config_host.mk" > "${T}/config_host.mk"
+ source "${T}/config_host.mk" 2&> /dev/null
+
+ local path="${WORKDIR}/helpcontent2/source/auxiliary/"
+ mkdir -p "${path}" || die
+
+ echo "perl \"${S}/helpcontent2/helpers/create_ilst.pl\" -dir=icon-themes/galaxy/res/helpimg > \"${path}/helpimg.ilst\""
+ perl "${S}/helpcontent2/helpers/create_ilst.pl" \
+ -dir=icon-themes/galaxy/res/helpimg \
+ > "${path}/helpimg.ilst"
+ [[ -s "${path}/helpimg.ilst" ]] || ewarn "The help images list is empty, something is fishy, report a bug."
+ )
+
+ local target
+ use test && target="build" || target="build-nocheck"
+
+ # this is not a proper make script
+ make ${target} || die
+}
+
+src_test() {
+ make unitcheck || die
+ make slowcheck || die
+}
+
+src_install() {
+ # This is not Makefile so no buildserver
+ make DESTDIR="${D}" distro-pack-install -o build -o check || die
+
+ # Fix bash completion placement
+ newbashcomp "${ED}"/etc/bash_completion.d/libreoffice.sh ${PN}
+ rm -rf "${ED}"/etc/
+
+ if use branding; then
+ insinto /usr/$(get_libdir)/${PN}/program
+ newins "${WORKDIR}/branding-sofficerc" sofficerc
+ echo "CONFIG_PROTECT=/usr/$(get_libdir)/${PN}/program/sofficerc" > "${ED}"/etc/env.d/99${PN}
+ fi
+
+ # symlink the nsplugin to proper location
+ # use gtk && inst_plugin /usr/$(get_libdir)/libreoffice/program/libnpsoplugin.so
+
+ # Hack for offlinehelp, this needs fixing upstream at some point.
+ # It is broken because we send --without-help
+ # https://bugs.freedesktop.org/show_bug.cgi?id=46506
+ insinto /usr/$(get_libdir)/libreoffice/help
+ doins xmlhelp/util/*.xsl
+
+ # Remove desktop files for support to old installs that can't parse mime
+ rm -rf "${ED}"/usr/share/mimelnk/
+
+ # Remove files owned by libreoffice-l10n
+ rm "${ED}"/usr/$(get_libdir)/libreoffice/share/wordbook/en-GB.dic || die
+ rm "${ED}"/usr/$(get_libdir)/libreoffice/share/wordbook/en-US.dic || die
+
+ # Remove files provided by x11-themes/kogaion-artwork-loo
+ rm "${ED}"/usr/$(get_libdir)/libreoffice/program/sofficerc || die "sofficerc rm failed"
+ rm "${ED}"/usr/$(get_libdir)/libreoffice/program/intro.png || die "sofficerc rm failed"
+
+ pax-mark -m "${ED}"/usr/$(get_libdir)/libreoffice/program/soffice.bin
+ pax-mark -m "${ED}"/usr/$(get_libdir)/libreoffice/program/unopkg.bin
+}
+
+pkg_preinst() {
+ # Cache updates - all handled by kde eclass for all environments
+ kde4-base_pkg_preinst
+}
+
+pkg_postinst() {
+ kde4-base_pkg_postinst
+
+ use java || \
+ ewarn 'If you plan to use lbase application you should enable java or you will get various crashes.'
+}
+
+pkg_postrm() {
+ kde4-base_pkg_postrm
+}
diff --git a/app-office/libreoffice/metadata.xml b/app-office/libreoffice/metadata.xml
new file mode 100644
index 00000000..67504779
--- /dev/null
+++ b/app-office/libreoffice/metadata.xml
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>openoffice</herd>
+ <longdescription>LibreOffice is a fork of OpenOffice.org.
+This ebuild allows you to compile it yourself. Unfortunately this
+compilation can take up to a day depending on the speed of your
+computer. It will however make a snappier openoffice than the binary
+version</longdescription>
+ <use>
+ <flag name="binfilter">Enable support for legacy StarOffice 5.x and earlier file formats</flag>
+ <flag name="binfilterdebug">Generate debug info for binfilter code (not recommended, huge files result)</flag>
+ <flag name="graphite">Enable support for non-Roman fonts via <pkg>media-gfx/graphite2</pkg></flag>
+ <flag name="jemalloc">Use <pkg>dev-libs/jemalloc</pkg> for allocations</flag>
+ <flag name="nlpsolver">Build extension for non-linear solving in calc</flag>
+ <flag name="odk">Build the Office Development Kit</flag>
+ <flag name="pdfimport">Build pdf-import extension using <pkg>app-text/poppler</pkg>. Note that you don't need this for pdf-export!</flag>
+ <flag name="vba">Enable support for VBA compatibility and ActiveX embedding</flag>
+ <flag name="webdav">Adds support for HTTP content adding via <pkg>net-libs/neon</pkg></flag>
+ <flag name="xmlsec">Adds support for document signing using internal modified <pkg>dev-libs/xmlsec</pkg> and system <pkg>dev-libs/nss</pkg></flag>
+ </use>
+</pkgmetadata>